Obter transação
curl --request GET \
--url https://api.stage.localpayment.com/api/transactions/{externalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/transactions/{externalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/transactions/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/transactions/{externalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/transactions/{externalId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/transactions/{externalId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/transactions/{externalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"transactionType": "PayIn",
"externalId": "40bac59a-0381-4cc0-a6a5-33418d84c2e4",
"internalId": "dd616d71-f5cd-4bb5-9c2c-f421241ab301",
"paymentMethod": {
"type": "BankTransfer",
"code": "1099",
"flow": "DIRECT"
},
"country": "ARG",
"currency": "ARS",
"amount": 2300,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "ARS",
"amount": 2300,
"fxQuote": 1
},
"payment": {
"currency": "ARS",
"fxQuote": 1,
"financingFee": 0,
"amount": 2300
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "USD",
"fxSource": 1,
"fxQuote": 1020.72259627,
"amount": 0.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "103",
"description": "APPROVED",
"detail": "The payin was confirmed but not credited yet"
},
"merchant": {
"type": "COMPANY",
"name": "LTDA",
"document": {
"type": "CUIL",
"id": "30-31.145.201-7"
},
"email": "email@email.com",
"phone": {
"countryCode": "countryCode",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Street",
"number": "938",
"city": "City",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "port 801"
},
"birthdate": "2000-01-01",
"nationality": "nationality"
},
"payer": {
"bank": {
"name": "Bank Name",
"code": "191",
"account": {
"type": "S",
"number": "1910119655111901676653"
}
},
"type": "INDIVIDUAL",
"name": "Prueba",
"lastname": "Test",
"document": {
"type": "CUIT",
"id": "20276201078"
},
"email": "email@email.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Street",
"number": "1234",
"city": "City",
"state": "state",
"country": "Country",
"zipCode": "1686",
"comment": "May the force be with you, always!"
},
"birthdate": "01/01/1990",
"nationality": "American"
},
"intermediaries": [],
"wireInstructions": {
"beneficiary": {
"bank": {
"name": "BANCO MACRO S.A.",
"code": "0118",
"branch": {},
"account": {
"type": "S",
"number": "2850328631194198460271"
}
},
"type": "INDIVIDUAL",
"name": "LOCALPAYMENT S.R.L.",
"document": {
"type": "CUIT",
"id": "30716132028"
}
},
"referenceCode": "1022000084"
},
"date": {
"creationDate": "2024-12-30T18:50:10.124+00:00",
"processedDate": "2024-12-30T18:50:10.6159529",
"expirationDate": "2025-01-06T18:50:10.5803114"
},
"errors": []
}
Transações
Obter transação
GET
/
api
/
transactions
/
{externalId}
Obter transação
curl --request GET \
--url https://api.stage.localpayment.com/api/transactions/{externalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/transactions/{externalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/transactions/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/transactions/{externalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/transactions/{externalId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/transactions/{externalId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/transactions/{externalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"transactionType": "PayIn",
"externalId": "40bac59a-0381-4cc0-a6a5-33418d84c2e4",
"internalId": "dd616d71-f5cd-4bb5-9c2c-f421241ab301",
"paymentMethod": {
"type": "BankTransfer",
"code": "1099",
"flow": "DIRECT"
},
"country": "ARG",
"currency": "ARS",
"amount": 2300,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "ARS",
"amount": 2300,
"fxQuote": 1
},
"payment": {
"currency": "ARS",
"fxQuote": 1,
"financingFee": 0,
"amount": 2300
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "USD",
"fxSource": 1,
"fxQuote": 1020.72259627,
"amount": 0.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "103",
"description": "APPROVED",
"detail": "The payin was confirmed but not credited yet"
},
"merchant": {
"type": "COMPANY",
"name": "LTDA",
"document": {
"type": "CUIL",
"id": "30-31.145.201-7"
},
"email": "email@email.com",
"phone": {
"countryCode": "countryCode",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Street",
"number": "938",
"city": "City",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "port 801"
},
"birthdate": "2000-01-01",
"nationality": "nationality"
},
"payer": {
"bank": {
"name": "Bank Name",
"code": "191",
"account": {
"type": "S",
"number": "1910119655111901676653"
}
},
"type": "INDIVIDUAL",
"name": "Prueba",
"lastname": "Test",
"document": {
"type": "CUIT",
"id": "20276201078"
},
"email": "email@email.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Street",
"number": "1234",
"city": "City",
"state": "state",
"country": "Country",
"zipCode": "1686",
"comment": "May the force be with you, always!"
},
"birthdate": "01/01/1990",
"nationality": "American"
},
"intermediaries": [],
"wireInstructions": {
"beneficiary": {
"bank": {
"name": "BANCO MACRO S.A.",
"code": "0118",
"branch": {},
"account": {
"type": "S",
"number": "2850328631194198460271"
}
},
"type": "INDIVIDUAL",
"name": "LOCALPAYMENT S.R.L.",
"document": {
"type": "CUIT",
"id": "30716132028"
}
},
"referenceCode": "1022000084"
},
"date": {
"creationDate": "2024-12-30T18:50:10.124+00:00",
"processedDate": "2024-12-30T18:50:10.6159529",
"expirationDate": "2025-01-06T18:50:10.5803114"
},
"errors": []
}
Obtenha uma visão geral completa da transação com status, valor, informações do pagador e detalhes do pagamento para total visibilidade do pagamento e rastreamento simplificado.
Autorizações
Cabeçalhos
Token de acesso Bearer para autenticação. Este token é obtido nos endpoints Obter token de acesso ou Renovar token de acesso.
Parâmetros de caminho
Resposta
OK
ℹ️ Nota
Os formatos de resposta variam dependendo do tipo de transação; acesse o endpoint da transação correspondente para obter mais detalhes.
País. ISO 3166-1 alfa-3.
Opções disponíveis:
ARS, BOB, BRL, CLP, COP, CRC, DOP, USD, GTQ, MXN, PYG, PEN, UYU Última modificação em 10 de novembro de 2026

